
public class Book {

	private String author;
	private String title;
	private String edition;
	private String publisher;
	private int price;
	private int quantity;

	public Book(String author, String title, String edition, String publisher, int price, int quantity) {
		this.author = author;
		this.title = title;
		this.edition = edition;
		this.publisher = publisher;
		this.price = price;
		this.quantity = quantity;
	}

	public String getAuthor() {
		return author.trim();
	}

	public void
	setAuthor(String author) {
		this.author = author;
	}

	public String getTitle() {
		return title.trim();
	}

	public void setTitle(String title) {
		this.title = title.trim();
	}

	public String getEdition() {
		return edition.trim();
	}

	public void setEdition(String edition) {
		this.edition = edition;
	}

	public String getPublisher() {
		return publisher.trim();
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public int getPrice() {
		return price;
	}

	public void setPrice(int price) {
		this.price = price;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	@Override
	public String toString() {
		return author + ":" + title + ":" + edition + ":" + publisher + ":" + price + ":" + quantity;
	}
	
}
 